Subject: [lojban] Re: cmegadri valfendi preti

From: Robin Lee Powell <[email-masked]>
Date: Fri, 6 Dec 2002 10:05:18 -0800

On Thu, Dec 05, 2002 at 08:11:28PM -0500, Nora LeChevalier wrote:
> At 10:34 AM 12/5/02 +0100, Lionel wrote:
> 
> >Pierre Abbat:
> >> Another question: why is the cmegadri broken off from what precedes
> >> it, instead of just breaking between the cmene and the cmegadri and
> >> leaving the cmegadri to be found later? What about {MUstelaVIson}
> >> and {muSTElaVIson}? How should they be analyzed?
> >
> >Because when you make that break you *must* flag the cmegadri part as
> >a cmegadri (otherwise a pause before the cmene would have been
> >necessary), whereas a further parsing may change what you thought was
> >a cmegadri to, say, a brivla ending... which would then invalidate
> >your previously parsed cmene! (I hope I am clear enough :-) So:
> >{MUstelaVIson} = {MUste la Vison} and {muSTElaVIson} is rejected
> >because a brivla cannot end with a stressed syllable. Note that,
> >while I consider that result correct, I find the error label quite
> >unlogical: a forward parsing would give an error after parsing
> >{muSTEla}, saying that a pause is needed before cmene {Vision}, which
> >seems much more palatable: better error messages are another
> >advantage IMO of a change of the current backward algorithm for a
> >forward one.
> >
> >-- Lionel
> 
> I used a backward algorithm because a forward algorithm is susceptible
> to garden-pathing. For example,
> 'miKLAmaleZARcifuleKARcegi'eBEVrileDAKlis' is a name, but you don't
> know it until the final letter.

I ended up in a discussion about that. The problem is that *any* pause
ends a word. I'd be *very* impressed if you could find someone that
could get that off easily without pausing (for breath, if nothing else).

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u jmaji le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi